Bug Hunting Session
Bug 68194 - Font files are left in the Windows font directory after uninstallation
Summary: Font files are left in the Windows font directory after uninstallation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-16 17:49 UTC by Jesus Corrius
Modified: 2018-09-17 18:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesus Corrius 2013-08-16 17:49:54 UTC
In other to pass the certification, we need to remove this files after LibreOffice is uninstalled. This is the list of fonts left:

File 'C:\Windows\Fonts\SourceSansPro-Regular.ttf' was not deleted.
File 'C:\Windows\Fonts\SourceSansPro-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\SourceSansPro-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\SourceSansPro-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\SourceCodePro-Regular.ttf' was not deleted.
File 'C:\Windows\Fonts\SourceCodePro-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\PT_Serif-Web-Regular.ttf' was not deleted.
File 'C:\Windows\Fonts\PT_Serif-Web-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\PT_Serif-Web-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\PT_Serif-Web-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\opens___.ttf' was not deleted.
File 'C:\Windows\Fonts\OpenSans-Regular.ttf' was not deleted.
File 'C:\Windows\Fonts\OpenSans-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\OpenSans-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\OpenSans-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\LinLibertine_R_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinLibertine_RZ_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinLibertine_RZI_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinLibertine_RI_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinLibertine_RB_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinLibertine_RBI_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinLibertine_DR_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinBiolinum_R_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinBiolinum_RI_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LinBiolinum_RB_G.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSerif-Regular.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSerif-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSerif-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSerif-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSans-Regular.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSans-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSans-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSans-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationMono-Regular.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationMono-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationMono-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationMono-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSansNarrow-Regular.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSansNarrow-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSansNarrow-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\LiberationSansNarrow-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\GenBkBasR.ttf' was not deleted.
File 'C:\Windows\Fonts\GenBkBasI.ttf' was not deleted.
File 'C:\Windows\Fonts\GenBkBasBI.ttf' was not deleted.
File 'C:\Windows\Fonts\GenBkBasB.ttf' was not deleted.
File 'C:\Windows\Fonts\GenBasR.ttf' was not deleted.
File 'C:\Windows\Fonts\GenBasI.ttf' was not deleted.
File 'C:\Windows\Fonts\GenBasBI.ttf' was not deleted.
File 'C:\Windows\Fonts\GenBasB.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSerifCondensed.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSerifCondensed-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSerifCondensed-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSerifCondensed-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSerif.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSerif-Italic.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSerif-BoldItalic.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSerif-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSansMono.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSansMono-Oblique.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSansMono-BoldOblique.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSansMono-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSansCondensed.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSansCondensed-Oblique.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSansCondensed-BoldOblique.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSansCondensed-Bold.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSans.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSans-Oblique.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSans-ExtraLight.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSans-BoldOblique.ttf' was not deleted.
File 'C:\Windows\Fonts\DejaVuSans-Bold.ttf' was not deleted.

I know this one is controversial, but we need to resolve it. There's a patch from AOO that seems to do the right thing:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bf6e5810641903be2e46d43f1194732031580b0
Comment 1 Andras Timar 2013-08-17 18:02:57 UTC
> but we need to resolve it

Why do we need to resolve it? ;) You said well, it's controversial. Users may install different font versions manually on the top of LibreOffice installation, and we would remove them. Of course, if it serves a higher purpose, and we have to pass those tests, then I have no objections.
Comment 2 Jesus Corrius 2013-08-18 12:45:43 UTC
Hi Andras,

I tested the patch with a release build of the master branch and it seems to work perfectly well.

Just to be sure I tested the reference counting. In a clean VM with Windows 7 I installed the Dejavu Fonts and then I installed and uninstalled LibreOffice and the Dejavu Fonts were kept in the system.

If you install LibreOffice and then the Dejavu fonts. It will say that the fonts are already installed and if you want to overwrite them. If you do, then when you uninstall LibreOffice, the fonts are deleted too.
Comment 3 Commit Notification 2013-08-24 04:35:21 UTC
Jesus Corrius committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0404f37297c4b283972d71c8f53765d9169bdafa

fdo#68194 Font files are left after uninstallation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.